Skip to main content
GET
/
v1
/
connector-accounts
List connector accounts
curl --request GET \
  --url https://api.openworklabs.com/v1/connector-accounts
{
  "items": [
    {
      "id": "<string>",
      "organizationId": "<string>",
      "connectorType": "github",
      "remoteId": "<string>",
      "externalAccountRef": "<string>",
      "displayName": "<string>",
      "status": "active",
      "createdByOrgMembershipId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "nextCursor": "<string>"
}

Query Parameters

cursor
string
Required string length: 1 - 255
limit
integer
Required range: 1 <= x <= 100
connectorType
enum<string>
Available options:
github
status
enum<string>
Available options:
active,
inactive,
disconnected,
error
q
string
Required string length: 1 - 255

Response

Connector accounts returned successfully.

items
object[]
required
nextCursor
string | null
required
Required string length: 1 - 255